// (c) 2015, SAS Institute Inc.

jQuery.sap.declare("sas.risk.modimp.library");

jQuery.sap.require("sas.hc.m.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.hc.ui.layout.library");
jQuery.sap.require("sas.hc.ui.table.library");
jQuery.sap.require("sas.hc.ui.unified.library");
jQuery.sap.require("sas.risk.common.library");

jQuery.sap.require("sas.risk.modimp.common.utils.CommonFixes");  // apply to all of MIP


//TODO cleanup dependencies
sap.ui.getCore().initLibrary({
    name : "sas.risk.modimp",
    dependencies : [
        "sas.hc.m",
        "sas.hc.ui.commons",
        "sas.hc.ui.layout",
        "sas.hc.ui.table",
        "sas.hc.ui.unified",
        "sas.risk.common"
    ],
    version : "501001.0.0.20180629104600_f0risk181"
});


//set application title in appswitcher
jQuery.sap.require("sas.risk.modimp.common.utils.CommonConstants");
jQuery.sap.require("sas.risk.modimp.common.utils.CommonUtil");
sas.applicationSwitcher.updateTitle(
    sas.risk.modimp.common.utils.CommonConstants.MIP_APPLICATION_ID,
    sas.config.appName
);

/*
 * Supports IntelliJ code completion. Each namespace needs to be specified in its own
 * comment block and should have the public annotation defined.
 */

/**
 * @namespace
 * @name sas.risk
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.common
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.inventory
 * @public
 */


/**
 * @namespace
 * @name sas.risk.modimp.common.models
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.common.utils
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.common.views
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.common.widgets
 * @public
 */


/**
 * @namespace
 * @name sas.risk.modimp.implementation.utils
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.views
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.models
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.wizard
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.wizard.steps
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.wizard.utils
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.implementation.wizard.widgets
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.inventory.models
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.inventory.utils
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.inventory.views
 * @public
 */

/**
 * @namespace
 * @name sas.risk.modimp.inventory.widgets
 * @public
 */